For the complete documentation index, see llms.txt. This page is also available as Markdown.

Collections

Get Collections

get

Get list of collections.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
namestringOptional

Filter by collection name.

visibilitystring · enum · nullableOptional

Filter by collection visibility.

Possible values:
offsetintegerOptional

The offset of the collections to get.

Default: 0
limitinteger · min: 1 · max: 100Optional

The limit of the collections to get.

Default: 10
order_bystring · enumOptional

The order by field to sort the collections by.

Default: idPossible values:
order_directionstring · enumOptional

The direction to order the collections by.

Default: ascPossible values:
Responses
200

Successful Response

application/json
objectconst: listOptionalDefault: list
Other propertiesanyOptional
get/v1/collections
GET /v1/collections HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "object": "list",
  "data": [
    {
      "object": "collection",
      "id": 1,
      "name": "text",
      "owner": "text",
      "description": "text",
      "visibility": "private",
      "created": 1,
      "updated": 1,
      "documents": 0,
      "size": 0,
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  ],
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Create Collection

post

Create a new collection.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestring · min: 1Required

The name of the collection.

descriptionstring · nullableOptional

The description of the collection.

visibilitystring · enumOptional

The type of the collection. Public collections are available to all users, private collections are only available to the user who created them.

Default: privatePossible values:
Other propertiesanyOptional
Responses
201

Successful Response

application/json
anyOptional
post/v1/collections
POST /v1/collections HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 96

{
  "name": "text",
  "description": "text",
  "visibility": "private",
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

No content

Get Collection

get

Get a collection by ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
collection_idintegerRequired

The collection ID

Responses
200

Successful Response

application/json
objectconst: collectionOptionalDefault: collection
idintegerRequired
namestringRequired
ownerstringRequired
descriptionstring · nullableOptional
visibilitystring · enum · nullableOptionalPossible values:
createdintegerRequired
updatedintegerRequired
documentsintegerOptionalDefault: 0
sizeintegerOptionalDefault: 0
Other propertiesanyOptional
get/v1/collections/{collection_id}
GET /v1/collections/{collection_id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "object": "collection",
  "id": 1,
  "name": "text",
  "owner": "text",
  "description": "text",
  "visibility": "private",
  "created": 1,
  "updated": 1,
  "documents": 0,
  "size": 0,
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Delete Collection

delete

Delete a collection.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
collection_idintegerRequired

The collection ID

Responses
204

Successful Response

No content

delete/v1/collections/{collection_id}
DELETE /v1/collections/{collection_id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Update Collection

patch

Update a collection.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
collection_idintegerRequired

The collection ID

Body

The collection to update.

namestring · min: 1 · nullableOptional

The name of the collection.

descriptionstring · nullableOptional

The description of the collection.

visibilitystring · enum · nullableOptional

The type of the collection. Public collections are available to all users, private collections are only available to the user who created them.

Possible values:
Other propertiesanyOptional
Responses
204

Successful Response

No content

patch/v1/collections/{collection_id}
PATCH /v1/collections/{collection_id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 96

{
  "name": "text",
  "description": "text",
  "visibility": "private",
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

No content

Last updated

Was this helpful?